Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.gui.sequence.tracklayout
Interface TrackLayout

All Known Implementing Classes:
  SimpleTrackLayout, UserDefinedTrackLayout

    public interface TrackLayout

An interface for the handling of the layout of a WrappedSequencePanel.

Since:
  1.5
Author:
  Mark Southern

Method Summary
`RangeLocation[]` | `getRanges()`
`int` | `getWrap()`
`int` | `getWrapIncrement()`
`void` | `setRange(RangeLocation loc)`
`void` | `setSequence(Sequence seq)`
`void` | `setWrap(int wrap)`
`void` | `setWrapIncrement(int inc)`

Method Detail

### setSequence

    void setSequence(Sequence seq)

### setRange

    void setRange(RangeLocation loc)

### getRanges

    RangeLocation[] getRanges()

### setWrap

    void setWrap(int wrap)

### getWrap

    int getWrap()

### setWrapIncrement

    void setWrapIncrement(int inc)

### getWrapIncrement

    int getWrapIncrement()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD